BSON_ITER_DBPOINTER(3)

SYNOPSIS

            void
            bson_iter_dbpointer (const bson_iter_t *iter,
                                 uint32_t *collection_len,
                                 const char **collection,
                                 const bson_oid_t **oid);

PARAMETERS

    •   iter: A bson_iter_t <>.

    •   collection_len: A location for the length of the collection name.

    •   collection: A location for the collection name..

    •   oid: A location for a bson_oid_t <>.

DESCRIPTION

Fetches the contents of a BSON_TYPE_DBPOINTER element.

Warning:
        The BSON_TYPE_DBPOINTER field type is deprecated by the BSON spec and should not be used in new code.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.